Bug 152414 - CAN-2005-0749 load_elf_library possible DoS (ipf)
CAN-2005-0749 load_elf_library possible DoS (ipf)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 06:01 EST by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 18:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-29 06:01:37 EST
+++ This bug was initially created as a clone of Bug #152413 +++

A flaw when freeing a pointer in load_elf_library was discovered.  A local user
could potentially use this flaw to cause a denial of service (crash).  See
discussion at:
        
http://www.uwsg.iu.edu/hypermail/linux/kernel/0503.2/0603.html

Fixed upstream (note important 2nd fix for 2.4)

fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244bffczprEXYXBhd4oTqo8WoMTGQ
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244930dPN44h62CZtM0P-qXoOI-7A
fixed=2.4 (20050326
http://linux.bkbits.net:8080/linux-2.4/cset@424581efkFnFr5llhjjaiNnTmuS88Q

Already fixed for FC2 FEDORA-2005-262
Comment 1 Dave Jones 2005-04-11 18:08:47 EDT
no ia64 for FC3
fixed anyway

Note You need to log in before you can comment on or make changes to this bug.